var FD;
(function (FD) {
    var TreeMapNodeFrame = (function () {
        function TreeMapNodeFrame(obj) {
            this.obj = obj;
            
            this.x = 0;
            this.y = 0;
            
            this.dx = 0;
            this.dy = 0;

            this.initialized = false;
        }

        TreeMapNodeFrame.prototype.setX = function(x) { this.x = x; this.initialized = true; };
        TreeMapNodeFrame.prototype.setY = function(y) { this.y = y; this.initialized = true; };
        
        TreeMapNodeFrame.prototype.setDx = function(dx) { this.dx = dx; this.initialized = true; };
        TreeMapNodeFrame.prototype.setDy = function(dy) { this.dy = dy; this.initialized = true; };

        TreeMapNodeFrame.prototype.toString = function() {
            return 'TreeMapNodeFrame{' +
                'x: ' + this.x + ', ' +
                'y: ' + this.y + ', ' +
                'dx: ' + this.dx + ', ' +
                'dy: ' + this.dy +
                '}';
        };

        return TreeMapNodeFrame;
    })();

    FD.TreeMapNodeFrame = TreeMapNodeFrame;
})(FD || (FD = {}));
